#include "SessionTests.h"

namespace test
{
    SessionTests::SessionTests()
    {
    }

    void SessionTests::copyConstructable()
    {
        hws::Session uno = createSession();
        hws::Session duo(uno);
        verifyDefaultSession(duo);
    }

    void SessionTests::assignable()
    {
        hws::Session uno = createSession();
        hws::Session duo = uno;
        verifyDefaultSession(duo);
    }

    // Helpers

    hws::Session SessionTests::createSession()
    {
        hws::Session uno;
        uno.setUrl(QUrl("http://example.com"));
        uno.setUser("jdoe");
        uno.setP4Ticket("1234");
        return uno;
    }

    void SessionTests::verifyDefaultSession(const hws::Session & s)
    {
        QVERIFY(s.url() == QUrl("http://example.com"));
        QVERIFY(s.user() == "jdoe");
        QVERIFY(s.p4Ticket() == "1234");
    }
}